<?php

namespace app\shared\controller\user;
use app\shared\logic\user\LoginForm;
class Login{
	//微信小程序登录
	public function wxapp_login(){
		$form=new LoginForm();
		return $form->wxapp_login();
	}
	//获取手机号码
	public function wxapp_getphone(){
		$form=new LoginForm();
		return $form->wxapp_getphone();
	}
	//账号登录
	public function account_login(){
		$form=new LoginForm();
		return $form->account_login();
	}
	//微信公众号登录
	public function web_wx_login(){
		$form=new LoginForm();
		return $form->web_wx_login();
	}
	public function web_wx_login_redirect_uri(){
    	$form=new LoginForm();
		return $form->web_wx_login_redirect_uri();
    }
    public function getWxapp(){
    	$form=new LoginForm();
		return $form->getWxapp();
    }
    public function mobileLogin(){
    	$form=new LoginForm();
		return $form->mobileLogin();
    }
}
